/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomCSSRuleList_H___INT_
#define __GdomCSSRuleList_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "CSSRuleList.h"
namespace WebCore {
    gpointer toGDOM(CSSRuleList* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMCSSRuleList : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_CSS_RULE_LIST; }
    GDOMCSSRuleList(PassRefPtr<WebCore::CSSRuleList> impl);
    virtual ~GDOMCSSRuleList();
    WebCore::CSSRuleList* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::CSSRuleList> m_impl;
};
G_END_DECLS

#endif /* __GdomCSSRuleList_H___INT_*/
